<?php
/* @var $modelFiles common\models\ThemeFiles */
/* @var $categoryFiles array */
?>
<?php
use yii\helpers\Html;
use yii\bootstrap\Modal;
use yii\widgets\ActiveForm;

?>

<div class="customer-form">
    <div class="col-md-6">
        <div class="panel panel-default">
            <table class="table">
                <thead>
                <tr >
                    <th style="text-align: center">File Name</th>
                    <th style="text-align: center">Options</th>
                </tr>
                </thead>

                <?php foreach ($categoryFiles as $value) { ?>
                    <tbody style="text-align: center">
                    <tr>
                        <td><?= $value['name'] ?></td>

                        <?php
                        $themeCode = $model->code;
                        $fileCode = $value['code'];
                        $modelFiles[0]->theme_code = $themeCode;
                        $modelFiles[0]->file_code = $fileCode;
                        if ($modelFiles[0]::isFileExist($themeCode, $fileCode)) {
                            $fileModel = $modelFiles[0]::findOne([
                                'theme_code' => $themeCode,
                                'file_code' => $fileCode
                            ]);
                            ?>

                            <td>
                                <div class="form-group ">
                                    <?php $form = ActiveForm::begin(['action' => '../theme-file/editor?id=' . $fileModel->id]); ?>

                                    <?= $form->field($fileModel,
                                        'theme_id')->hiddenInput(['value' => $model->id])->label(false) ?>

                                    <?= Html::submitButton(Yii::t('backend', ' Edit'),
                                        [
                                            'class' => 'btn btn-primary fa fa-edit',
                                        ]) ?>

                                    <?php ActiveForm::end(); ?>
                                </div>
                            </td>
                            <td>
                                <div class="form-group">
                                    <?php $form = ActiveForm::begin(['action' => '../theme-file/delete?id=' . $fileModel->id]); ?>

                                    <?= $form->field($fileModel,
                                        'theme_id')->hiddenInput(['value' => $model->id])->label(false) ?>
                                    <?= Html::submitButton(Yii::t('backend', ' Delete'),
                                        [
                                            'class' => 'btn btn-primary fa fa-trash',
                                            'onclick' => 'return confirm("Are you sure?")'
                                        ]) ?>
                                    <?php ActiveForm::end(); ?>
                                </div>
                            </td>

                        <?php } else { ?>

                            <td>

                                <?= Html::button('Upload File', [
                                    'class' => 'btn btn-primary',
                                    'id' => 'modalButton' . $value['id'],
                                    'onclick' => 'uploadJquery.upload(' . $value['id'] . ');'
                                ]) ?>
                                <?php
                                Modal::begin([
                                    'header' => '',
                                    'id' => 'modal' . $value['id'],
                                    'size' => 'modal-sm',
                                    //keeps from closing modal with esc key or by clicking out of the modal.
                                    // user must click cancel or X to close
                                ]);
                                ?>


                                <div id='modalContent'<?= $value['id'] ?> style="text-align: center">

                                    <?= $this->render('upload',
                                        [
                                            'model' => $modelFiles[0],
                                            'ThemeId' => $model->id,
                                        ]) ?>

                                </div>

                                <?php yii\bootstrap\Modal::end(); ?>

                            </td>


                        <?php } ?>

                    </tr>
                    </tbody>

                <?php } ?>

            </table>

        </div>
    </div>


</div>
